From: "Ben Kohler" <bkohler@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/libcpuid/
Date: Mon, 3 Apr 2023 13:15:10 +0000 (UTC) [thread overview]
Message-ID: <1680527429.76a805aa12edcc6c854adb550054d93da9845fe0.bkohler@gentoo> (raw)
commit: 76a805aa12edcc6c854adb550054d93da9845fe0
Author: Ben Kohler <bkohler <AT> gentoo <DOT> org>
AuthorDate: Mon Apr 3 13:01:09 2023 +0000
Commit: Ben Kohler <bkohler <AT> gentoo <DOT> org>
CommitDate: Mon Apr 3 13:10:29 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=76a805aa
dev-libs/libcpuid: add 0.6.3
Signed-off-by: Ben Kohler <bkohler <AT> gentoo.org>
dev-libs/libcpuid/Manifest | 1 +
dev-libs/libcpuid/libcpuid-0.6.3.ebuild | 37 +++++++++++++++++++++++++++++++++
2 files changed, 38 insertions(+)
diff --git a/dev-libs/libcpuid/Manifest b/dev-libs/libcpuid/Manifest
index 9b777e15e851..82ef880e0764 100644
--- a/dev-libs/libcpuid/Manifest
+++ b/dev-libs/libcpuid/Manifest
@@ -1 +1,2 @@
DIST libcpuid-0.6.2.tar.gz 265896 BLAKE2B 27f7c6c6a8bce6f27ca2f537c0255d8e8efa4ca5a7a278deecdb7b5c122830cc49e7e4524a2b2c0c39c0a43b3d05649c5e95a1bee843b6ddd981e3bee33383ab SHA512 36175387ae86e6f602544c516a875ac7fe0a3bde52e3e3c09f8852a804dd252694e17c638723aa3d36219d4588981cfd2261086bcf561d175e7c038e3a69e2ff
+DIST libcpuid-0.6.3.tar.gz 279969 BLAKE2B c789ed211dfea9741536ba651973e0fa16315b174a3d3a77cdeb5d8e7734fae6891cdc2ff8f697cde4efd9ffe991ea59dae3431bc5990af08df27a1eabb67c4a SHA512 5351a5b86c8d06d18392649f9834f80fb7500252a5e5bf22f96f86e014e6695ef1da6fdc27251839352ce35837eebaac5f20570f8cb1b95adec816db7ee413f5
diff --git a/dev-libs/libcpuid/libcpuid-0.6.3.ebuild b/dev-libs/libcpuid/libcpuid-0.6.3.ebuild
new file mode 100644
index 000000000000..75cb5bcb7074
--- /dev/null
+++ b/dev-libs/libcpuid/libcpuid-0.6.3.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=(python3_{9..11})
+
+inherit autotools python-any-r1
+
+DESCRIPTION="A small C library for x86 (and x86_64) CPU detection and feature extraction"
+HOMEPAGE="http://libcpuid.sourceforge.net/"
+SRC_URI="https://github.com/anrieff/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+LICENSE="BSD-2"
+SLOT="0/16"
+KEYWORDS="~amd64"
+IUSE="static-libs test"
+RESTRICT="!test? ( test )"
+
+DEPEND="test? ( ${PYTHON_DEPS} )"
+
+pkg_setup() {
+ use test && python-any-r1_pkg_setup
+}
+
+src_prepare() {
+ default
+ eautoreconf
+}
+
+src_configure() {
+ econf "$(use_enable static-libs static)"
+}
+
+src_install() {
+ default
+ find "${ED}" -name "*.la" -delete || die
+}
next reply other threads:[~2023-04-03 13:15 UTC|newest]
Thread overview: 17+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-04-03 13:15 Ben Kohler [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-12-03 16:44 [gentoo-commits] repo/gentoo:master commit in: dev-libs/libcpuid/ Ben Kohler
2024-09-03 11:17 Ben Kohler
2024-08-29 15:08 Ben Kohler
2024-04-30 14:31 Ben Kohler
2024-04-16 18:07 Ben Kohler
2023-10-16 16:51 Ben Kohler
2023-10-16 16:51 Ben Kohler
2023-10-16 15:25 Ben Kohler
2023-10-09 16:09 Ben Kohler
2023-01-10 18:17 Ben Kohler
2022-11-12 23:21 Ben Kohler
2022-11-12 14:51 Ben Kohler
2022-10-25 12:50 Ben Kohler
2022-09-28 14:17 Ben Kohler
2022-08-24 4:57 Sam James
2022-08-19 15:56 Ben Kohler
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1680527429.76a805aa12edcc6c854adb550054d93da9845fe0.bkohler@gentoo \
--to=bkohler@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox